[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.Alignment

The horizontal alignment for the text in the control (left, right, or centered).

## Declaration

Source position: stdctrls.pp line 857

`public property TCustomEdit.Alignment : TAlignment read FAlignment write SetAlignment default taLeftJustify;`

## Description

Alignment is a TAlignment property which controls the horizontal alignment of text in the control. The default value for the property is taLeftJustify. See TAlignment for more information about the enumeration values and their meanings.

Alignment is used in CreateParams when alignment style flags are added to the creation parameters for the method. The value is also passed to the widgetset class then the handle is created (or re-created) for the class instance. Changing the value in the property causes the widgetset class to be notified when a handle has been allocated for the control.